version: '3'
services:
  gitlab:
    image: gitlab/gitlab-ce:latest
    environment:
      GITLAB_OMNIBUS_CONFIG: |
        external_url "http://localhost:80"
        gitlab_rails["gitlab_shell_ssh_port"] = 2224
        gitlab_rails["gitlab_email_enabled"] = false
        gitlab_rails['initial_root_password'] = "rootpassword"
        gitlab_rails['initial_shared_runners_registration_token'] = "a7a7a7a7a7a7a7a7a7aa7"

    ports:
      - '0.0.0.0:80:80'
      - '0.0.0.0:2224:22'
